
QGIS Application - Bug report #13293

WCS server broken on Windows

2015-08-31 08:34 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21351

Description

new description:

#13293-13

old description:

on QGIS server 2.8.3 WFS and WCS services stopped to work on Windows. WMS seems to work fine.

on QGIS server 2.10.1 WFS still broken, while WCS seems to work.

Related issues:

Related to QGIS Application - Bug report # 13117: cached wfs not downloading ... Closed 2015-07-15

History

#1 - 2015-10-05 04:41 AM - Jürgen Fischer

- Subject changed from QGIS Server: WFS and WCS broken on Windows to WFS and WCS broken on Windows

#2 - 2016-01-07 04:34 AM - João Gaspar

I guys,

i install QGIS 2.12.2 and QGIS 2.12.2 Server with OSGeo4W 32-bits and the WFS is working again.

I test in a local computer and in a remote computer with Windows 7 64-bits.

Can anyone confirm this? I will test WCS, to see if this work as well.

Regards

João

#3 - 2016-01-10 02:47 PM - Nyall Dawson

- Status changed from Open to Feedback

This was probably fixed with f8f056e0b25b0c2b93cb954123b5d4e20803226d. Can you confirm?

#4 - 2016-01-11 10:51 AM - Giovanni Manghi

- Status changed from Feedback to Open
Hi,

I cannot is confirmed, in fact on qgis-master (server) on Windows it seems worst then the last time: wfs always crashes (the server), wms and wcs are not

working (no layers show in the capabilities).

#5 - 2016-05-24 02:19 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.3 to master

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from WFS and WCS broken on Windows to QGIS Server 2.14 and master broekn o Windows, WCS broken on ltr (Windows too).

- Target version changed from Future Release - High Priority to Version 2.16

- Operating System set to Windows

A new round of tests on Windows QGIS Server:

    -  qgis ltr server works for WMS and WFS, but not WCS

    -  2.14 and master return

(OS 109)The pipe has been ended.  : mod_fcgid: get overlap result error

[Tue May 24 10:05:25 2016] [error] [client 127.0.0.1] Premature end of script headers: qgis_mapserv.fcgi.exe

regardless of the same configuration added to httpd_qgis-ltr.conf (or httpd_qgis.conf or httpd_qgis-dev.conf)

DefaultInitEnv PYTHONHOME "C:/OSGeo4W/apps/python27"

is present.

#6 - 2016-05-24 02:21 AM - Giovanni Manghi

- Subject changed from QGIS Server 2.14 and master broekn o Windows, WCS broken on ltr (Windows too). to QGIS Server 2.14 and master broken o 

Windows, WCS broken on ltr (Windows too).

#7 - 2016-06-29 05:55 AM - João Gaspar

I confirm the behavior with osgeo4w installer 32-bits. I test using osgeo4w installer 2.8.6 and 2.12.3 (32-bits) and don't have this problems for know. 

Sometimes when this error (Gio Apache log example) happens is necessary to reboot the computer to work normally. With 2.14 and master is not working

at all.

Regards

João

#8 - 2016-06-29 11:47 AM - Giovanni Manghi

João Gaspar wrote:

With 2.14 and master is not working at all.

so in QGIS 2.14/master QGIS server is confirmed broken on Windows. Should be ship it anyway (if not fixed)?
#9 - 2016-06-30 10:57 PM - Andreas Neumann

- Status changed from Open to Feedback

How about the 64bit version - does it work better?

Why are people using OSGeo4W 32bit if they have a 64bit Windows?

The QGIS 32bit version is older than the 64bit version (at least with some of the libraries used).

#10 - 2016-07-01 07:53 AM - Giovanni Manghi

Andreas Neumann wrote:

How about the 64bit version - does it work better?

Why are people using OSGeo4W 32bit if they have a 64bit Windows?

The QGIS 32bit version is older than the 64bit version (at least with some of the libraries used).

in osgeo4w 64bit there is no apache and mod-fcgid (and not even php if someone wants to use some php based webmapping platform), making

the setup of qgis server much harder. In osgeo4w 32 bit is everything in place, and qgis server works (worked) out of the box.

anyway I will try to do a 64 bit installation and report back.

#11 - 2016-07-01 09:04 AM - Giovanni Manghi

- Status changed from Feedback to Open

similar results in osgeo4w64:

qgis server WMS/WFS 2.8.9 works, WCS doesn't

qgis server 2.14.3 crashes

there is no qgis server master on osgeo4w64.

#12 - 2016-07-02 12:09 AM - Jürgen Fischer

Giovanni Manghi wrote:

there is no qgis server master on osgeo4w64.

it's in qgis-dev - just like in x86.

#13 - 2016-07-02 09:33 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from Yes to No

- Subject changed from QGIS Server 2.14 and master broken o Windows, WCS broken on ltr (Windows too). to WCS server broken on Windows

- Priority changed from Severe/Regression to High

- Target version changed from Version 2.16 to Future Release - High Priority

Jürgen Fischer wrote:

Giovanni Manghi wrote:

there is no qgis server master on osgeo4w64.

it's in qgis-dev - just like in x86.

New round of tests:

QGIS Server 2.14.3 seems overall not working (crashes) on Windows 32/64bit.

On Windows both in master and the development branch of 2.14 (both 32 and 64bit) WMS and WFS are working, WCS is not working. Error below.

2016-07-02T08:40:31    1    Map request error (Status: 200; Response: <ServiceExceptionReport version="1.3.0" xmlns="http://www.opengis.net/ogc">

             <ServiceException code="Project file error">Error reading the project file</ServiceException>

            </ServiceExceptionReport>

            ;

URL:http://127.0.0.1/qgis-dev/qgis_mapserv.fcgi.exe?map=c:%5Cteste%5Cteste1.qgs&&SERVICE=WCS&VERSION=1.0.0&REQUEST=GetCoverage&FORMAT=GeoTIF

FORMAT=GeoTIFF&COVERAGE=mdt_clipped&BBOX=10243.1000000000003638,54378.19999999999708962,54963.09999999999854481,90778.19999999999708962&CRS=EPSG:3763&RESPONSE_CRS=EPSG:3763&WIDTH=10&HEIGHT=10)

999999999708962&CRS=EPSG:3763&RESPONSE_CRS=EPSG:3763&WIDTH=10&HEIGHT=10)

2016-07-02T08:40:31    1    No data received

2016-07-02T08:40:31    1    Cannot verify coverage full extent: 

2016-07-02T08:40:31    1    Map request error (Status: 200; Response: <ServiceExceptionReport version="1.3.0" xmlns="http://www.opengis.net/ogc">

             <ServiceException code="Project file error">Error reading the project file</ServiceException>

            </ServiceExceptionReport>

            ;

URL:http://127.0.0.1/qgis-dev/qgis_mapserv.fcgi.exe?map=c:%5Cteste%5Cteste1.qgs&&SERVICE=WCS&VERSION=1.0.0&REQUEST=GetCoverage&FORMAT=GeoTIF

FORMAT=GeoTIFF&COVERAGE=mdt_clipped&BBOX=32363.5285714285710128,72458.46315789473010227,32842.67142857142607681,72697.93684210526407696&CRS=EPSG:3763&RESPONSE_CRS=EPSG:3763&WIDTH=6&HEIGHT=3)

684210526407696&CRS=EPSG:3763&RESPONSE_CRS=EPSG:3763&WIDTH=6&HEIGHT=3)

2016-07-02T08:40:31    1    No data received

#14 - 2017-03-07 02:20 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.18

- Priority changed from High to Severe/Regression

- Affected QGIS version changed from master to 2.18.4

Still the same on 2.18.4. It worked as expected once, not sure if there is any interest in fixing it anyway...

#15 - 2017-04-30 05:06 PM - Giovanni Manghi

- Regression? set to Yes

#16 - 2017-04-30 05:08 PM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#17 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#18 - 2017-05-19 09:25 AM - Jürgen Fischer

- Description updated

#19 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
